ElementDeleter< Container > Class Template Reference

`#include <ElementDeleter.h>`

## Public Member Functions

| ElementDeleter (Container &container)
| ~ElementDeleter ()
void | release ()
void | deleteElements ()

## Private Attributes

Container * | _container

## Detailed Description

template<class Container>
class ElementDeleter< Container >

Definition at line 50 of file ElementDeleter.h.

## Constructor & Destructor Documentation

## ElementDeleter()

template<class Container>

ElementDeleter< Container >::ElementDeleter | ( | Container & | container | ) |

inline

Definition at line 55 of file ElementDeleter.h.

## ~ElementDeleter()

template<class Container>

ElementDeleter< Container >::~ElementDeleter | ( |  | ) |

inline

Definition at line 59 of file ElementDeleter.h.

## Member Function Documentation

## deleteElements()

template<class Container>

void ElementDeleter< Container >::deleteElements | ( |  | ) |

inline

Definition at line 72 of file ElementDeleter.h.

## release()

template<class Container>

void ElementDeleter< Container >::release | ( |  | ) |

inline

Definition at line 65 of file ElementDeleter.h.

## Member Data Documentation

## _container

template<class Container>

Container* ElementDeleter< Container >::_container

private

Definition at line 99 of file ElementDeleter.h.

The documentation for this class was generated from the following file:

- src/ElementDeleter.h